[project]
name = "catalog-agent"
version = "0.1.0"
description = ""
authors = [
    {name = "朱潮",email = "zhuchaowe@users.noreply.github.com"}
]
readme = "README.md"
requires-python = "3.12.0"
dependencies = [
    "fastapi==0.116.1",
    "uvicorn==0.35.0",
    "requests==2.32.5",
    "qwen-agent[mcp,rag]==0.0.31",
    "pydantic==2.10.5",
    "python-dateutil==2.8.2",
    "torch==2.2.0",
    "transformers",
    "sentence-transformers",
    "numpy<2",
    "aiohttp",
    "aiofiles",
    "huey (>=2.5.3,<3.0.0)",
    "pandas>=1.5.0",
    "openpyxl>=3.0.0",
    "xlrd>=2.0.0",
    "chardet>=5.0.0",
]


[tool.poetry]
package-mode = false

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"


